- Qt 6.6
- Qt Core
- C++ Classes
- QTimerEvent
- Qt 6.6.3 Reference Documentation

# QTimerEvent Class

The QTimerEvent class contains parameters that describe a timer event. More...

Header: | #include <QTimerEvent>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Core) target_link_libraries(mytarget PRIVATE Qt6::Core)
qmake: | QT += core
Inherits: | QEvent

- List of all members, including inherited members
- QTimerEvent is part of Event Classes.

## Public Functions

| QTimerEvent(int timerId)
int | timerId() const

## Detailed Description

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides single-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), and QObject::killTimer().

## Member Function Documentation

### `[explicit]` QTimerEvent::QTimerEvent(int timerId)

Constructs a timer event object with the timer identifier set to timerId.

### int QTimerEvent::timerId() const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().